Page MenuHomePhabricator

Improve text of OAuth authorization dialog
Open, NormalPublic

Description

This is a master ticket for totally overhauling the text of the OAuth authorization dialog, especially the descriptions of the permissions that an OAuth tool can request (e.g. "basic rights", "high volume editing") so that the average user can understand it.

Related Objects

Event Timeline

Deskana created this task.Mar 6 2015, 10:15 PM
Deskana raised the priority of this task from to Normal.
Deskana updated the task description. (Show Details)
Deskana moved this task to UI/UX on the MediaWiki-extensions-OAuth board.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 10:15 PM

I'm going to merge a few other tasks relating to a specific permissions into this, so it can be treated as a single overhaul of all permissions.

Deskana updated the task description. (Show Details)Mar 6 2015, 10:22 PM
Deskana set Security to None.
Sitic added a subscriber: Sitic.Mar 6 2015, 10:32 PM
Qgil added a comment.Mar 13 2015, 1:26 PM

I had volunteered to help with a text for T598: MediaWiki OAuth dialog text is unclear and sounds more scary than it is. Do you still welcome help here?

I don't think anyone objects to help with the wording, but at the same time I don't think anyone is explicitly working on this at the moment.

bd808 added a subscriber: Nirzar.Mar 13 2015, 3:20 PM

I had volunteered to help with a text for T598: MediaWiki OAuth dialog text is unclear and sounds more scary than it is. Do you still welcome help here?

Help would be greatly appreciated. As @Anomie mentions we are not actively implementing changes to OAuth, but we are trying to get a solid backlog built that can be picked up by a team in the near future. @Nirzar has made some nice looking design mocks in T75062#1055431 that would benefit from this improved text.

Change 200720 had a related patch set uploaded (by MarkTraceur):
A few small i18n string fixes

https://gerrit.wikimedia.org/r/200720

I don't see much lack of clarity in the current messages, but I did some minimal cleanup. @Qgil if you have suggestions I'd love to hear them.

Tgr claimed this task.May 10 2015, 6:37 PM

Change 200720 merged by jenkins-bot:
A few small i18n string fixes

https://gerrit.wikimedia.org/r/200720

Tgr added a comment.May 12 2015, 2:23 PM

This task is not helpful as it is. It is supposed to be a master ticket and has no specifics, but the only subtask it has is "Group grants up in the consumer propose section into logical groupings" which is not actually related to the task ("As a user authorising an OAuth tool to act on my behalf..."). All the tasks that could have been subtasks have been merged as duplicates, without actually integrating them in any way.

Any objections to killing this off and reopening the merged tasks as blockers of T75062?

Tgr renamed this task from As a user authorising an OAuth tool to act on my behalf, I'd like the different permissions a tool can request to be explained to me using clear language so I can understand what each permission does. to Improve text of OAuth authorization dialog.Jun 29 2015, 11:56 PM
Tgr updated the task description. (Show Details)
Deskana removed a subscriber: Deskana.Jun 29 2015, 11:56 PM
Tgr added a comment.Jun 29 2015, 11:57 PM
In T91825#1279525, @Tgr wrote:

Any objections to killing this off and reopening the merged tasks as blockers of T75062?

Kept it as a master task, but reopened the subtasks.

Qgil added a comment.Sep 21 2015, 8:39 AM

For what is worth, another user confused by the OAuth text displayed during registration to Wikimedia Phabricator.